Subject: bug#30699: 26.0.91; buffer contents flicker on macOS frames when frames are resized

From: Alan Third <[email-masked]>
Date: Tue, 13 Mar 2018 20:18:37 +0000

On Tue, 13 Mar 2018, 16:57 Eli Zaretskii, <[email-masked]> wrote:

> > Date: Tue, 13 Mar 2018 12:19:04 +0000
> > From: Alan Third <[email-masked]>
> > Cc: [email-masked], [email-masked]
> >
> > I think the only solution left is to take a copy of the contents of
> > the frame, resize, then copy the contents back. I don’t know how to do
> > that and a quick google search reveals nothing helpful.
>
> What about the idea I brought up earlier: to avoid blanking the frame
> in this case (but still mark it garbaged)?
>

I don't see any way to avoid blanking it. Cocoa does it when the frame
resizes and doesnt provide any option not to.